Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIToolTip

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.UIToolTip

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder

Direct Known Subclasses:
  HtmlToolTip

    public abstract class UIToolTip

extends javax.faces.component.UICommand
implements org.ajax4jsf.component.AjaxChildrenEncoder

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`
`static java.lang.String` | `CONTENT_FACET_NAME`

Fields inherited from class javax.faces.component.UICommand
`COMPONENT_FAMILY`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIToolTip()`

Method Summary
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`void` | `encodeAjaxChild(javax.faces.context.FacesContext context, java.lang.String path, java.util.Set<java.lang.String> ids, java.util.Set<java.lang.String> renderedAreas)`
`protected org.ajax4jsf.renderkit.AjaxChildrenRenderer` | `getChildrenRenderer()`
`abstract java.lang.String` | `getDirection()`
`abstract java.lang.String` | `getFor()`
`abstract int` | `getHideDelay()`
`abstract java.lang.String` | `getHideEvent()`
`abstract int` | `getHorizontalOffset()`
`abstract java.lang.String` | `getLayout()`
`abstract java.lang.String` | `getMode()`
`abstract java.lang.String` | `getOnclick()`
`abstract java.lang.String` | `getOncomplete()`
`abstract java.lang.String` | `getOndblclick()`
`abstract java.lang.String` | `getOnhide()`
`abstract java.lang.String` | `getOnmousemove()`
`abstract java.lang.String` | `getOnmouseout()`
`abstract java.lang.String` | `getOnmouseover()`
`abstract java.lang.String` | `getOnshow()`
`abstract int` | `getShowDelay()`
`abstract java.lang.String` | `getShowEvent()`
`abstract java.lang.String` | `getStyle()`
`abstract java.lang.String` | `getStyleClass()`
`java.lang.String` | `getUsedElementType()`
`abstract int` | `getVerticalOffset()`
`abstract int` | `getZorder()`
`abstract boolean` | `isAttached()`
`abstract boolean` | `isDisabled()`
`abstract boolean` | `isFollowMouse()`
`abstract void` | `setAttached(boolean attached)`
`abstract void` | `setDirection(java.lang.String direction)`
`abstract void` | `setDisabled(boolean disabled)`
`abstract void` | `setFollowMouse(boolean followMouse)`
`abstract void` | `setFor(java.lang.String _for)`
`abstract void` | `setHideDelay(int delay)`
`abstract void` | `setHideEvent(java.lang.String hideEvent)`
`abstract void` | `setHorizontalOffset(int horizontalOffset)`
`abstract void` | `setLayout(java.lang.String layout)`
`abstract void` | `setMode(java.lang.String mode)`
`abstract void` | `setOnclick(java.lang.String onclick)`
`abstract void` | `setOncomplete(java.lang.String oncomplete)`
`abstract void` | `setOndblclick(java.lang.String ondblclick)`
`abstract void` | `setOnhide(java.lang.String onhide)`
`abstract void` | `setOnmousemove(java.lang.String onmousemove)`
`abstract void` | `setOnmouseout(java.lang.String onmouseout)`
`abstract void` | `setOnmouseover(java.lang.String onmouseover)`
`abstract void` | `setOnshow(java.lang.String onshow)`
`abstract void` | `setShowDelay(int delay)`
`abstract void` | `setShowEvent(java.lang.String showEvent)`
`abstract void` | `setStyle(java.lang.String style)`
`abstract void` | `setStyleClass(java.lang.String styleClass)`
`abstract void` | `setVerticalOffset(int verticalOffset)`
`abstract void` | `setZorder(int delay)`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, getValue, isImmediate, queueEvent, removeActionListener, restoreState, saveState, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### CONTENT_FACET_NAME

    public static final java.lang.String CONTENT_FACET_NAME

See Also:
  Constant Field Values

Constructor Detail

### UIToolTip

    public UIToolTip()

Method Detail

### getLayout

    public abstract java.lang.String getLayout()

### setLayout

    public abstract void setLayout(java.lang.String layout)

### getMode

    public abstract java.lang.String getMode()

### setMode

    public abstract void setMode(java.lang.String mode)

### isDisabled

    public abstract boolean isDisabled()

### setDisabled

    public abstract void setDisabled(boolean disabled)

### getDirection

    public abstract java.lang.String getDirection()

### setDirection

    public abstract void setDirection(java.lang.String direction)

### isFollowMouse

    public abstract boolean isFollowMouse()

### setFollowMouse

    public abstract void setFollowMouse(boolean followMouse)

### getHorizontalOffset

    public abstract int getHorizontalOffset()

### setHorizontalOffset

    public abstract void setHorizontalOffset(int horizontalOffset)

### getVerticalOffset

    public abstract int getVerticalOffset()

### setVerticalOffset

    public abstract void setVerticalOffset(int verticalOffset)

### getStyle

    public abstract java.lang.String getStyle()

### setStyle

    public abstract void setStyle(java.lang.String style)

### getStyleClass

    public abstract java.lang.String getStyleClass()

### setStyleClass

    public abstract void setStyleClass(java.lang.String styleClass)

### getOncomplete

    public abstract java.lang.String getOncomplete()

### setOncomplete

    public abstract void setOncomplete(java.lang.String oncomplete)

### getOnshow

    public abstract java.lang.String getOnshow()

### setOnshow

    public abstract void setOnshow(java.lang.String onshow)

### getOnhide

    public abstract java.lang.String getOnhide()

### setOnhide

    public abstract void setOnhide(java.lang.String onhide)

### getOnclick

    public abstract java.lang.String getOnclick()

### setOnclick

    public abstract void setOnclick(java.lang.String onclick)

### getOndblclick

    public abstract java.lang.String getOndblclick()

### setOndblclick

    public abstract void setOndblclick(java.lang.String ondblclick)

### getOnmouseout

    public abstract java.lang.String getOnmouseout()

### setOnmouseout

    public abstract void setOnmouseout(java.lang.String onmouseout)

### getOnmousemove

    public abstract java.lang.String getOnmousemove()

### setOnmousemove

    public abstract void setOnmousemove(java.lang.String onmousemove)

### getOnmouseover

    public abstract java.lang.String getOnmouseover()

### setOnmouseover

    public abstract void setOnmouseover(java.lang.String onmouseover)

### getShowDelay

    public abstract int getShowDelay()

### setShowDelay

    public abstract void setShowDelay(int delay)

### getHideDelay

    public abstract int getHideDelay()

### setHideDelay

    public abstract void setHideDelay(int delay)

### getZorder

    public abstract int getZorder()

### setZorder

    public abstract void setZorder(int delay)

### getFor

    public abstract java.lang.String getFor()

### setFor

    public abstract void setFor(java.lang.String _for)

### getShowEvent

    public abstract java.lang.String getShowEvent()

### setShowEvent

    public abstract void setShowEvent(java.lang.String showEvent)

### getHideEvent

    public abstract java.lang.String getHideEvent()

### setHideEvent

    public abstract void setHideEvent(java.lang.String hideEvent)

### isAttached

    public abstract boolean isAttached()

### setAttached

    public abstract void setAttached(boolean attached)

### getUsedElementType

    public java.lang.String getUsedElementType()

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UICommand`
  Throws:
    `javax.faces.event.AbortProcessingException`

### getChildrenRenderer

    protected org.ajax4jsf.renderkit.AjaxChildrenRenderer getChildrenRenderer()

### encodeAjaxChild

    public void encodeAjaxChild(javax.faces.context.FacesContext context,
                                java.lang.String path,
                                java.util.Set<java.lang.String> ids,
                                java.util.Set<java.lang.String> renderedAreas)
                         throws java.io.IOException

  Specified by:
    `encodeAjaxChild` in interface `org.ajax4jsf.component.AjaxChildrenEncoder`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.